Description

Several packages refer to non exported functions by calling them with the prefix $..

Apparently this is no longer necessary in CoCoA-5: I tried removing the prefix from one package, and it continued to work normally. 

However, it may be helpful for future maintainers to see the prefix $. so that they know it refers to a locally defined

(undocumented!?!) function.

Is it really a feature of CoCoA-5 that the prefix is unnecessary?  Perhaps we could disable the feature or offer a command line option

to enable/diable it?

Opinions?  Other ideas?

Related issues:

Related to CoCoA-5 - Design #477: Eliminate keyword Alias? New 14 Mar 2014

History

#1 - 17 Mar 2014 09:42 - Anna Maria Bigatti

- Status changed from New to In Progress

- Target version set to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 10

John Abbott wrote:

Several packages refer to non exported functions by calling them with the prefix $..

Apparently this is no longer necessary in CoCoA-5: I tried removing the prefix from one package, and it continued to work normally.  However, it

may be helpful for future maintainers to see the prefix $. so that they know it refers to a locally defined (undocumented!?!) function.

Is it really a feature of CoCoA-5 that the prefix is unnecessary?  Perhaps we could disable the feature or offer a command line option to

enable/diable it?

 

In CoCoA-4 it was necessary to have $. and so it was a great pain to convert user files of functions into packages, moreover "exported" functions had

to be declared in "coclib.cpkg".  We wanted to make it easy to convert any CoCoA-5 code into a package, so we decided to get rid of the necessity of

$. and introduced the export key.
#2 - 09 Apr 2014 17:38 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#3 - 01 Sep 2014 13:56 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

- Estimated time set to 15.00 h

#4 - 11 May 2015 14:50 - John Abbott

- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

#5 - 17 Feb 2016 12:55 - John Abbott

- Target version changed from CoCoA-5.1.3/4 Jan 2016 to CoCoA-5.2.0 spring 2017

#6 - 02 Sep 2016 14:18 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 10 to 90

JAA notes that the dollar-dot prefix (or perhaps also the full prefix?) is necessary for package local variables.

Since we are hoping that packages will play an ever minor role, it is probably not worth spending time to fiddle with details like this.

Should I "close" or even "reject" this issue?

#7 - 02 Sep 2016 15:55 - Anna Maria Bigatti

John Abbott wrote:

Should I "close" or even "reject" this issue?

 

I agree.  I think we should "reject"

#8 - 05 Sep 2016 12:39 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 15.00 h to 0.70 h

I'm not realy sure what the difference between "reject" and "close" is.

In this case I prefer to "close" (perhaps because the original issue was rather vague, along the line of "dicuss this").

Closing
